SystemOrganization addCategory: #'Equipment-TIT'!
SystemOrganization addCategory: #'Equipment-TIT-Tests'!

Object subclass: #PLCInput
	instanceVariableNames: 'val val1 val3'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment-TIT'!

PLCInput subclass: #AnalogInput
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment-TIT'!

!AnalogInput methodsFor: 'accessing' stamp: 'TurettaRanoux 5/25/2012 10:30'!
pointValue 
	^32767
	min:(0
			max:(val
					ifNil: [0]))! !

!AnalogInput methodsFor: 'accessing' stamp: 'TurettaRanoux 5/25/2012 10:18'!
pointValue: aSmallinteger

val := aSmallinteger! !

PLCInput subclass: #DigitalInput
	instanceVariableNames: 'state'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment-TIT'!

!DigitalInput methodsFor: 'accessing' stamp: 'TurettaRanoux 5/25/2012 09:50'!
isOn
	^ state ifNil:[false ]! !

!DigitalInput methodsFor: 'accessing' stamp: 'TurettaRanoux 5/25/2012 09:50'!
stateOff
	state := false! !

!DigitalInput methodsFor: 'accessing' stamp: 'TurettaRanoux 5/25/2012 09:50'!
stateOn
	state := true ! !

!PLCInput methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 5/25/2012 10:32'!
label
^val1! !

!PLCInput methodsFor: 'accessing' stamp: 'TurettaRanoux 5/25/2012 10:32'!
label: aByteString 
	val1 := aByteString! !

Object subclass: #RFGenerator
	instanceVariableNames: 'pwrOn rfOn pwr rf'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment-TIT'!

!RFGenerator methodsFor: 'accessing' stamp: 'TurettaRanoux 5/25/2012 09:48'!
inputPwrOn: aDigitalInput 
	pwr := aDigitalInput ! !

!RFGenerator methodsFor: 'accessing' stamp: 'TurettaRanoux 5/25/2012 09:48'!
inputRfOn: aDigitalInput 
	rf := aDigitalInput ! !

!RFGenerator methodsFor: 'accessing' stamp: 'TurettaRanoux 5/25/2012 09:47'!
isRunning
	^ pwr isOn and:[rf isOn]
! !

TestCase subclass: #AnalogInputTest
	instanceVariableNames: 'power'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment-TIT'!

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 4/27/2012 15:08'!
test15000ShoulReturn15000
	power := AnalogInput new.
	power pointValue: 15000.
	self assert: 15000 = power pointValue.
! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 4/27/2012 15:15'!
test40000ShoulReturn32767
	power := AnalogInput new.
	power pointValue: 40000.
	self assert: 32767 = power pointValue.
! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 4/27/2012 15:06'!
testDefaultValueShoulBe0
	power := AnalogInput new.
	power label: 'QPW1'.
	self assert: 0 = power pointValue.
! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 4/27/2012 16:55'!
testDefaultValueShoulBeQPW1
	power := AnalogInput new.
	power label: 'QPW1'.
	self assert: 'QPW1' = power label 
! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 4/27/2012 16:56'!
testDefaultValueShoulBeQPW2
	power := AnalogInput new.
	power label: 'QPW2'.
	self assert: 'QPW2' = power label 
! !

!AnalogInputTest methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 4/27/2012 15:15'!
testmoins1ShoulReturn0
	power := AnalogInput new.
	power pointValue: -1.
	self assert: 0 = power pointValue.
! !

TestCase subclass: #RFGeneratorTest
	instanceVariableNames: 'pwrOn rfOn myGenerator inputPower'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment-TIT'!

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 5/25/2012 10:43'!
setUp

pwrOn := DigitalInput new .
pwrOn label: 'PWRON'.

rfOn := DigitalInput new .
rfOn label: 'RFON'.

inputPower := AnalogInput new label: 'QPW1'.

myGenerator := RFGenerator new.
myGenerator
	inputPwrOn: pwrOn;
	inputRfOn: rfOn;
	inputCurrentPower: inputPower.! !

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 5/25/2012 08:47'!
test1
	pwrOn stateOff.
	rfOn stateOff.
	self deny: myGenerator isRunning
! !

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 5/25/2012 10:47'!
test11
inputPower pointValue: 0.
	self assert: 0 = myGenerator inputCurrentPower! !

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 5/25/2012 08:53'!
test2
	pwrOn stateOn.
	rfOn stateOff.
	self deny: myGenerator isRunning
! !

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 5/25/2012 08:54'!
test3
	pwrOn stateOff.
	rfOn stateOn .
	self deny: myGenerator isRunning
! !

!RFGeneratorTest methodsFor: 'as yet unclassified' stamp: 'TurettaRanoux 5/25/2012 09:43'!
test4
	pwrOn stateOn.
	rfOn stateOn .
	self assert: myGenerator isRunning.
! !

TestCase subclass: #RFGeneratorTestTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Equipment-TIT-Tests'!
